sendmail (8.15.2-8ubuntu1) zesty; urgency=medium

  * Dont apply openssl-1.1.0.patch as yet as we dont have ssl1.1 in
    ubuntu as yet.
  * Disable PIE during build for now.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 10 Feb 2017 12:04:12 +0530

sendmail (8.15.2-8) unstable; urgency=medium

  * QA upload.
  * Use lockfile-create (from lockfile-progs) instead of touch to manage the
    cronjob lockfiles.
  * Switch to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Dec 2016 18:43:49 +0100

sendmail (8.15.2-7) unstable; urgency=medium

  * QA upload.
  * Fix openssl argument order.  (Closes: #843682)
  * sendmail-bin: Add missing Depends: lsb-base.
  * Stop using dh_buildinfo in favor of dpkg-buildinfo.
  * Enable more hardening flags.
  * debian/examples/db/access: Comment out localhost entries, may be forged.
    (Closes: #840837)
  * Only touch files as smmsp:smmsp in /var/run/sendmail/stampdir (writable by
    group smmsp) to avoid possible privilege escalation.  (Closes: #841257)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Nov 2016 12:32:49 +0100

sendmail (8.15.2-6) unstable; urgency=medium

  * QA upload.
  * openssl-1.1.0.patch: Fix for non-linux platforms, thanks to
    Sebastian Andrzej Siewior.  (Closes: #828540)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Sep 2016 11:13:58 +0200

sendmail (8.15.2-5) unstable; urgency=medium

  * QA upload.
  * sendmail-base.preinst: Migrate /etc/mail/ssl only if /etc/mail/tls does
    not exist.  (Closes: #820145)
  * openssl-1.1.0.patch: New, add support for OpenSSL 1.1.0, thanks to
    Sebastian Andrzej Siewior.  (Closes: #828540)
  * Drop -dbg package in favor of autogenerated -dbgsym packages.
  * Fix more typos.
  * Update to Standards-Version: 3.9.8.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Sep 2016 14:13:39 +0200

sendmail (8.15.2-4) unstable; urgency=medium

  * QA upload.
  * Reinstate SOCKETMAP support (and some more compile time settings that were
    lost on the 8.14 -> 8.15 switch).  (Closes: #816505)
  * Update Vcs-Git URL.
  * Update to Standards-Version: 3.9.7.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Mar 2016 16:02:10 +0100

sendmail (8.15.2-3) unstable; urgency=medium

  * QA upload.
  * format-security.patch: Try a different approach and verify that an
    (untrusted) non-literal string does not contain formatting codes ('%')
    before using it as a format string without arguments.  (Closes: #807258)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Dec 2015 18:02:49 +0100

sendmail (8.15.2-2) unstable; urgency=medium

  * QA upload.
  * Merge changes from 8.14.9-4.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 09 Nov 2015 11:06:45 +0100

sendmail (8.15.2-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * Merge changes from 8.14.9-3.  (Closes: #790968, #792162)
  * Refresh fuzzy patch 'drac'.
  * libmilter.symbols: Add new symbol UseCompressedIPv6Addresses.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 20 Jul 2015 11:56:02 +0200

sendmail (8.15.1-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * format-security.patch: New, fix FTBFS with -Werror=format-security.
  * libmilter.symbols: Add new symbol MaxQueueAge.
  * Use a deterministic object directory for fully reproducible builds.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Jul 2015 01:35:29 +0200

sendmail (8.14.9-4) unstable; urgency=medium

  * QA upload.
  * debian-mta.m4: Switch between the two spellings of
    'GroupReadable{a,}DefaultAuthInfoFile', the typo was only corrected
    in 8.15.  (Closes: #792162)
  * sendmail-bin: Tighten dependencies on sendmail-{base,cf}.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 26 Jul 2015 18:37:21 +0200

sendmail (8.14.9-3) unstable; urgency=medium

  * QA upload.
  * Use a deterministic object directory for fully reproducible builds.
  * update_mc: Insert masquerading options before mailer definitions.
    (Closes: #293017, #354055)
  * debian-mta.m4: Fix typo 'GroupReadableaDefaultAuthInfoFile'.
    (Closes: #790968)
  * sendmail-base: Add Depends: netbase for /etc/services.
  * Drop Breaks+Replaces against package versions predating oldstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jul 2015 15:37:14 +0200

sendmail (8.14.9-2) unstable; urgency=medium

  * QA upload.
  * Preserve changelog timezone for timestamps to make build reproducible in
    case of changing TZ.
  * Fix another spelling-error-in-manpage discovered by lintian.
  * Do not check for invoke-rc.d existence before calling it.
  * sendmail-bin: Switch from suidregister to dpkg-statoverride.
  * Add lintian overrides for command-with-path-in-maintainer-script, these
    are only checks for command availability.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Jul 2015 21:40:21 +0200

sendmail (8.14.9-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Remove sendmail-8.14.9.diff.
  * manpage-section.patch: Refresh.
  * Switch from tar-in-tar to regular source layout.
  * Switch patch application from cdbs to dpkg source format 3.0 (quilt).
  * d/patches: Convert old-style context diffs to unified diffs.
  * Finally drop the last bits of cdbs usage.
  * Perform more checks in /etc/cron.d/sendmail to skip running commands (and
    failing) if any of the sendmail-base, sendmail-bin packages have been
    removed.  (LP: #645905, #1421329)
  * Import "Sendmail Signing Key/2015 <sendmail@Sendmail.ORG>" from
    ftp://ftp.sendmail.org/pub/sendmail/PGPKEYS into
    debian/upstream/signing-key.pgp.
  * Use the changelog timestamp for @sm_date@ and @sm_time@ substitutions to
    make the build reproducible.
  * fhs.patch: New. Move path adjustments in documentation from sed calls in
    d/rules to a proper patch.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 May 2015 02:20:56 +0200

sendmail (8.14.8-1) experimental; urgency=medium

  * QA upload.
  * Upload to experimental.
  * *** Dear sendmail users, please give us some feedback if this new upstream
    *** version of sendmail is working for you s.t. we can consider uploading
    *** it to unstable.
  * New upstream release.
    - Properly initialize all OpenSSL algorithms.  (Closes: #579563)
    - Accept IPv6 literals when evaluating the HELO/EHLO argument in
      FEATURE(`block_bad_helo').  (Closes: #618570)
  * Remove patches that were cherry-picked from newer releases: {_ffr_tls_ec,
    close_on_exec, conf.c-ipv6, libmilter-assert, ssl_op_no_tlsv1_x}.patch
  * sendmail-8.14.9.diff: New, cherry-pick all code changes from 8.14.9.
  * Refresh some patches due to context changes.
  * libmilter.symbols: Add new symbols FipsMode, IntSig.
  * Update to Standards-Version: 3.9.6.
  * d/copyright: Update sendmail copyright (Sendmail, Inc. acquired by
    Proofpoint, Inc.) and license (editorial changes only).
  * d/rules: Add patch target for non-cdbs mode.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Oct 2014 14:48:33 +0200

sendmail (8.14.4-8) unstable; urgency=medium

  * QA upload.
  * Move patches from debian/patches/8.14/8.14.4/ to debian/patches/.
  * Rename the series file to series-quilt since the patches cannot be applied
    by dpkg-source but are applied by quilt after unpacking the tar-in-tar.
  * Fix hyphenation errors in manpages.
  * Remove the m4 step from d/control generation.
  * Convert most of the build process from cdbs to dh. Only unpacking the
    tarball and applying the patches is still done with cdbs.
  * Simplify d/rules.
  * Convert d/copyright to DEP5 style.
  * d/changelog.Debian.8.*: Restore Debian changelogs from sendmail 8.8, 8.9,
    8.12, 8.13 series.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Oct 2014 19:52:50 +0200

sendmail (8.14.4-7) unstable; urgency=medium

  * QA upload.
  * Remove timestamp from bug-script.  (Closes: #749177)
  * libmilter.symbols: Mark shm-specific symbols as linux-any and add the
    !linux-any counterparts.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 May 2014 01:37:44 +0200

sendmail (8.14.4-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.  (See: #740070)
  * Add systemd socket activation support for libmilter, thanks to Mikhail
    Gusarov.  (Closes: #741257) (LP: #1322969)
  * Add _FFR_TLS_EC support, thanks to Fredrik Pettai.  (Closes: #740792)
  * Add support for OpenSSL options SSL_OP_NO_TLSv1_1 and SSL_OP_NO_TLSv1_2
    (backported from 8.14.8), thanks to David F. Skoll.  (Closes: #747910)
  * Apply manpage corrections from Ubuntu.  (Closes: #747551)
  * libmilter-assert.patch: Fix an incorrect assertion in libmilter,
    cherry-picked from sendmail 8.14.7.  (LP: #1299571)
  * close_on_exec.patch: Properly set the close-on-exec flag for file
    descriptors before executing mailers, cherry-picked from sendmail 8.14.9.
    CVE-2014-3956  (Closes: #750562)
  * libmilter: Convert into a 'Multi-Arch: same' package.
  * libmilter: Add symbols control file.
  * libmilter-dev: Move static libraries from /usr/lib/libmilter to /usr/lib.
  * Remove outdated documentation and other cruft.
  * Don't re-generate d/changelog during build.
  * Abort build if debian/control got regenerated and differs.
  * Create directories during 'd/rules install' instead of using .dirs.
  * Patch sendmail build system to install libraries.
  * Install files via debian/tmp and use dh_install/dh_installman.
  * Update to Standards-Version: 3.9.5.
  * Update Lintian overrides.  (Closes: #553293)
  * Import ftp://ftp.sendmail.org/pub/sendmail/PGPKEYS ($Revision: 8.46 $,
    $Date: 2014-01-18 00:20:24 $) into debian/upstream/signing-key.pgp.
  * d/watch: Enable PGP signature checking.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 13:19:14 +0200

sendmail (8.14.4-5) unstable; urgency=low

  * QA upload.
  * Switch from deprecated 'find -perm +xxx' to 'find -perm /xxx'.
    (Closes: #724772)
  * Start sendmail after bind9 (or any other named) if it is installed.
    (Closes: #714184)
  * Update watch file to ignore symbolic links in the ftp directory listing,
    thanks to Masatake YAMATO.  (Closes: #615477)
  * kFreeBSD: Enable HASURANDOMDEV, thanks to Brian M. Carlson.
    (Closes: #366087)
  * Really fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
  * Update logcheck patterns to match high precision timestamps, thanks to
    Ralf Döblitz  (Closes: #638952)
  * conf.c-ipv6.patch: Fix A-only MX CNAME interface binding issues when using
    IPv6, thanks to David F. Skoll.  (Closes: #737164) (LP: #1223633)
  * debian/*/Makefile.am: Recover from Makefile.in.
  * debian/rules: refresh-debian-configure: Refresh all Makefile.in, too.
  * debian/build/: Update automake helper scripts to automake 1.14.
  * debian/configure.ac: Fix libdb-dev autodetection.
  * Simplify managing the bug control files.
  * Let dh_lintian install the overrides.
  * Simplify managing generated control files by placing the templates
    directly in debian/.
  * sendmail-base.postrm: Do not mess with conffiles and other shipped files
    during purge.  (Closes: #736982)
  * Switch to debhelper compat level 9.
  * Use source format 3.0 (quilt).
  * Fix some problems reported by lintian.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Feb 2014 00:46:55 +0100

sendmail (8.14.4-4.1) unstable; urgency=low

  * QA upload.
  * Fix infinite loop in update_db, thanks to Flo.  (Closes: #717951)
  * Do not ship duplicate sendmail.8 manpage.  (Closes: #709895, #597781)
  * Use [linux-any] instead of hardcoded list.  (Closes: #634378)
  * Fix FTBFS with ld --as-needed, thanks to Firas Kraiem.
    (Closes: #608011, #609606)
  * sendmailconfig: Add missing quoting, thanks to Stuart Sheldon.
    (Closes: #692047)
  * Raise MAXDAEMONS from 10 to 64, thanks to Kees Cook.  (Closes: #720435)
  * Enable all hardening flags, thanks to Simon Ruderich.  (Closes: #687708)
  * Fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
  * Drop obsolete NEWS entries.
  * Use canonical Vcs-* URLs.
  * Fix duplicate and incorrect Section and Homepage settings.
  * Add missing ${misc:Depends} and predepends.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Sep 2013 09:58:41 +0200

sendmail (8.14.4-4) unstable; urgency=low

  * New maintainer. (Closes: #699117)
  * New patch: lock-mail-local (thanks to Tim Marston)
    - fix order of fcntl and dotlock in mail.local. (Closes: #684645)

 -- Jakub Safarik <jsafarik@ymail.com>  Wed, 06 Feb 2013 17:33:44 +0100

sendmail (8.14.4-3) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group.  (See: #699117)

  [ Tobias Hansen ]
  * Directories in /usr/share/doc can only be symlinks for packages
    depending on the package they link to. (Policy 12.5)
    This source package builds six sets of packages that can all be
    installed independently (libmilter1.0.1, rmail, sendmail-base,
    sendmail-cf, sendmail-doc, sensible-mda and respective dependencies).
    So using symlinks at all is not practicable.
    Make all /usr/share/doc/package directories real directories and
    ship mandatory files (they were already shipped in all packages).
    Put additional documentation into /usr/share/doc/sendmail-doc
    and libmilters README.Debian into /usr/share/doc/libmilter-dev.
    (Closes: #681147, #336391, #211518, #597779)

  [ Andreas Beckmann ]
  * debian/rules clean: Run maintainer-clean and stop shipping a lot of
    generated files in debian/ in the source package. Do not preserve
    debian/build/autoconf.mk, it's regenerated as well.
  * debian/build/debian/control.m4.in: Add libdb-dev dependency to preserve it
    during regeneration, this is no longer picked up automatically.
  * debian/rules: Add rebuild-debian-configure target.
  * debian/configure.ac: Remove the deleted maintainer scripts.
  * Cleanup /usr/share/doc/sendmail after upgrades where possible.
  * sendmail-base: Remove obsolete conffile
    /etc/dhcp3/dhclient-exit-hooks.d/sendmail on upgrades.
  * sendmail-base: Remove /etc/mail/{sendmail,submit}.cf.old on purge.
  * Cleanup symlinks in /usr/share/bug, too, and ship bug-{control,script} in
    all packages.  (Closes: #587944)
  * sendmail: add Breaks/Replaces: sendmail-base (<< 8.14.4-2.2~) because of
    moved bug-{control,script}.
  * Fix the names of README.Debian.* for installation with dh_installdocs.
  * debian/configure: Regenerated (via debian/rules refresh-debian-configure).
  * Import packaging history into a GIT repository on alioth:
        git://git.debian.org/git/collab-maint/sendmail.git
    and set Vcs-{Git,Browser} accordingly.  (Closes: #689379)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Jan 2013 03:37:54 +0100

sendmail (8.14.4-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Depend and use generic -ldb to allow binNMUs (Closes: #621447)
  * Hard code fcntl style locking to mail.local (Closes: #513298)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 May 2012 10:30:18 +0200

sendmail (8.14.4-2) unstable; urgency=high

  * Actually get the DHCP config files installed :(    Closes: #602252

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 03 Nov 2010 22:05:00 -0000

sendmail (8.14.4-1) unstable; urgency=high

  * Long past due

  * Re-enable libdb-dev, db4.8 working again

  * New upstream
    + Null checking in certificate CN (CVE-2009-4565)
    + Queue identifier int overflow
    + Handle malformed DNS replies
    + milter segfault/Dos fixes

  * Acknowledge NMUs - thanks !
    + rmail conflicts with masqmail
    + move dhcp hooks from /etc/dhcp3 to /etc/dhcp
    + CVE-2009-4565

  * Correct issues with NMUs
    + Differing buildinfo.gz (all the same file) Closes: #597779

  * Outstanding bugs:
    + Milter segfaults/Remote DoS?    Closes: #527862
    + invoke.rc conditional           Closes: #553135
    + We already harden               Closes: #542739
    + Queue aging                     Closes: #583108
    + mail.local use of lockf         Closes: #513298
    + init.d use of ps                Closes: #510679
    + remove access on purge          Closes: #589810

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 11 Sep 2010 17:53:00 -0000

sendmail (8.14.4-0) private; urgency=low

  * Start of another round of lintian cleanups
    + remove /var/run files from package (they're created as needed)
  * Drop back to db4.7 - 4.8 is broken

  * New upstream
    + Null checking in certificate CN
    + Queue identifier int overflow
    + Handle malformed DNS replices
    + DSA/DH parm length increase (Debian did that long ago)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 31 Dec 2009 00:20:00 -0000

sendmail (8.14.3-10) unstable; urgency=low

  * Support parms on runq (Now, Verbose, or any valid sendmail option: -v)
  * Remove old & uneeded patch ldap_url_search
  * remove obsolete crap from /usr/share/bug/sendmail/script  Closes: #530992

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 09 Mar 2009 18:25:00 -0000

sendmail (8.14.3-9) unstable; urgency=low

  * Batting 1000, build-depend on quilt      Closes: #517676

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 01 Mar 2009 18:45:00 -0000

sendmail (8.14.3-8) unstable; urgency=low

  * Sigh, move some defines so the patches actually apply

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 01 Mar 2009 06:15:00 -0000

sendmail (8.14.3-7) unstable; urgency=low

  * Use quilt for patch management
  * Support db2 4.7
  * Support null: maps (thanks to Yiorgos [George] Adamopoulos)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 01 Mar 2009 06:15:00 -0000

sendmail (8.14.3-6) unstable; urgency=high

  * Properly support GSSAPI auth (keep KRB5_KTNAME)
  * Correct crontab entries for queue aging (-s <time>, not 0)
  * Enable milter processing of rejected recipients

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 17 Oct 2008 23:35:00 -0000

sendmail (8.14.3-5) unstable; urgency=high

  * Sendmail uses the same filemode for pid/hoststat/dead.letter/etc
    files :( To prevent world readable dead.letter files, we have to
    restrict other data as well (like hoststat/mailq)   Closes: #481347

  * Remove confNO_RCPT_ACTION for better spam detection Closes: #490776

  * Several changes thanks to Joe Maimon
    + Update sample access db to not block Connect:0, as it
      has the unintended side effect of killing sendmail -bs -Am :(
    + add autoconf AC_PROG_MKDIR_P
    + rewrite SM_RESULTS_IFELSE autoconf macro with AC_RUN_IFELSE
      why didn't I think of that, but still, it was an experience :)

  * Improve the sendmail.conf comment, and parsing of timespecs
    when creating crontabs (also randomize start times)
    Thanks to Michael J. Micek

  * Improve the sendmail.conf commentary for QUEUE_INTERVAL
    to note how to create persistent queue-runners (p120m)
    Thanks to Michael J. Micek

  * Milter changes for increased performance
    + Enable poll (vs select)
    + Enable _FFR_WORKERS_POOL

  * Init script touch-ups
    + Make init script depend on $syslog
    + Remove 0 and 6 from Default-Stop in init script

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 15 Jul 2008 22:25:00 -0000

sendmail (8.14.3-4) unstable; urgency=low

  * Redo the Perl 5.10 fix so that it sticks this time

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 19 May 2008 15:20:00 -0000

sendmail (8.14.3-3) unstable; urgency=low

  * wtf?!?  how did libdb2-dev windup there...     Closes: #481733

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 18 May 2008 22:51:00 -0000

sendmail (8.14.3-2) unstable; urgency=low

  * Fix perl 5.10 incompatible expression (works on 5.8 and 5.10)
    2 lines in /usr/share/sendmail/Parse_conf.pm

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 17 May 2008 22:47:00 -0000

sendmail (8.14.3-1) unstable; urgency=low

  * New upstream release
  * refit patches

  * libmilter moves from 1 (1.0.0) to 1.0.1
    *** MILTER Packages should be to new scheme ASAP ***

    If you are upstream, or deal well with them, please note
    that patch-level updates (last digits) are not supposed to
    break the ABI - and milters should use the 1st two digits

    > Should not they be testing SM_LM_VRS_MAJOR(SMFI_VERSION) &
    > SM_LM_VRS_MINOR(SMFI_VERSION) - and thereby assuming that
    > simple patch-level updates don't break compatability ?

    Yes. That's the basic idea behind the numbering.  Hmm, I guess I
    should update the documentation and the example program.

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 04 May 2008 05:16:00 -0000

sendmail (8.14.3-0) private; urgency=low

  * New upstream release
  * refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 04 May 2008 04:27:00 -0000

sendmail (8.14.3.Gamma0-0) private; urgency=low
 
  * New upstream Gamma
  * refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 17 Apr 2008 05:18:00 -0000

sendmail (8.14.3.Beta1-0) private; urgency=low

  * New upstream Beta
  * refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 06 Apr 2008 16:57:00 -0000

sendmail (8.14.3.Beta0-0) private; urgency=low

  * New upstream Beta
  * refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 05 Mar 2008 05:39:00 -0000

sendmail (8.14.2-5) unstable; urgency=low

  * Determine libmilter library level dynamically - using the upstream
    notation of <version-major>.<version-minor>.<patch-level>

    This way, I don't need to remember to bump .so levels by hand, as
    upstream is pretty good about incompatabilites - and the package
    name directly corresponds with what a milter developer/builder
    needs to know (instead of libmilter2 == 1.0.1) - though the sendmail
    version also gives that information.

    This does affect the milter packages, who currently link against
    libmilter1, as the new name is libmilter1.0.0 (the -dev package
    keeps is name; libmilter-dev).

    NOTE: things will continue work until milters are rebuilt - as
    the old library package still works.

    With this change, when 8.14.3 is shipped, it will automatically
    create libmilter1.0.1 (a bump in the patch level).

    I thought about adding a compat symlink, but the milters don't seem
    to be written in a way that makes that possible - they apparently are
    checking exact values of SMFI_VERSION, instead of
      SM_LM_VRS_MAJOR(SMFI_VERSION) & SM_LM_VRS_MINOR(SMFI_VERSION)
    and so don't work with the newer 1.0.1 level anyway (trust me) :(

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 21 Apr 2008 18:04:00 -0000

sendmail (8.14.2-4) unstable; urgency=low

  * remove bad brackets from example access IPv6  Closes: #471086
  * remove echo -e                                Closes: #472240
  * adjust for cdbs patch target change           Closes: #474917
  * Fix LSB init header. Use $remote_fs instead of $local_fs as the
    daemon requires /usr to be mounted.
  * Actually skip work in dynamic if the mode is 'Static'
  * Don't purgestat on ifdown (just slows things down needlessly),
    and is only relevant on ifup
  * background sendmail restart on ifup/ifdown to not hang interactivity
  * remove --linda from debuild options

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 03 Apr 2008 15:55:00 -0000

sendmail (8.14.2-3) unstable; urgency=low

  * Correct the setup of Submission (587) and local injection
    + sendmail.mc adds M=Ea to submission port
    + submit.mc changed to use port 25
    otherwise local mail injection fails (thanks to Ian Corbett)

    If you have already installed sendmail, and are having issues
    with AUTH required and local mail injection, check your .mc files
    against /usr/share/doc/sendmail/examples/cf/debian/*.mc

  * pedantry bug (proof that two heads are better than one) -
    misspelling in logrotate.conf
  * Cleanup better on purge of sendmail-base    Closes: #454685
  * FTBFS on non-linux arch                     Closes: #459610
    control.m4.in
  * Generate TLS DH/DS parameters               Closes: #461802
    This only affects new installs or certificate recreation
    update_tls, update_tlsm4, starttls.m4, Parse_mc.pm
  * Build using newer LDAP and DB2
  * Define LDAP_DEPRECATED                      Closes: #463371
    configure.ac

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 07 Dec 2007 20:15:00 -0000

sendmail (8.14.2-2) unstable; urgency=low

  * When creating /etc/sasldb2; use proper group (sasl)
  * Remove nested quotes in {sendmail,submit}.mc    closes: #451346
  * Correct watch file entry for .sig file (avoid spurrious download)
  * Remove suggests of no longer extant cyrus packages

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 23 Nov 2007 22:02:00 -0000

sendmail (8.14.2-1) unstable; urgency=low

  * New Upstream release
    + SASL 2.1.22 change sasl_decode64() requires MTA handle "="
      closes: #443319

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 02 Nov 2007 22:14:00 -0000

sendmail (8.14.2-0) private; urgency=low

  * Upstream release
  * Refit patches
  * Run for a bit

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 02 Nov 2007 03:00:00 -0000

sendmail (8.14.2.Beta0-0) private; urgency=low

  * Upstream Beta
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 23 Oct 2007 05:50:00 -0000

sendmail (8.14.2.Beta0-0) private; urgency=low

  * Upstream Beta
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 15 Oct 2007 16:20:00 -0000

sendmail (8.14.1-12) unstable; urgency=low

  * Correct "poor man's" emphasis               closes: #448033
    (Yes, Ubuntu does feed stuff back)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 29 Oct 2007 22:46:00 -0000

sendmail (8.14.1-11) unstable; urgency=low

  * /etc/init.d/sendmail will now rebuild databases on 
    start/reload/restart (like Redhat derived, various BSDs, etc)

  * Finally nailed (fingers crossed) the elusive cause of
        ;; connection timed out; no servers could be reached
    There are still issues on what state to leave things in, but
    at least the file will be turned into garbage     closes: #375787
    + sendmail.conf::DAEMON_NETMODE now defaults to Static
    + /etc/{ppp,dhcp3,network,resolvconf}/*/sendmail pass an additional option
    + /usr/share/sendmail/dynamic is much more careful

  * ARM is broken, disable -fstack-protector-all      closes: #446415
  * add FEATURE(use_cw_file) to default sendmail.mc   closes: #433216
  * remove /usr/share/bug/sendmail-doc -> sendmail    closes: #387799
    
 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 20 Oct 2007 23:35:30 -0000

sendmail (8.14.1-10) unstable; urgency=low

  * Do not blindly accept client certificates by default
    thanks to Jeffrey Honig (from #sendmail@freenode)
    NOTE: this only affects new installations - if you've already installed
    sendmail, you and haven't changed the default; you should !
    /etc/mail/tls/starttls.m4
  * Set confRRT_IMPLIES_DSN to upstream default of False
  * Enable pool() for libmilter                       closes: #445307
    This should help high performance/load situations where select() just
    doesn't scale well

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 04 Oct 2007 22:40:00 -0000

sendmail (8.14.1-9) unstable; urgency=low

  * Finally drop MAILER(cyrus21) in favour of cyrusv2
  * Egads, a rules typo dropped all local patches :(  closes: #436185
  * upgrade to db4.6 (and newer libdb-dev)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 13 Aug 2007 20:52:22 -0000

sendmail (8.14.1-8) unstable; urgency=low

  * remove dependancy on update-inetd and netbase/inet-superserver
    + Default install uses daemon mode (no need for inetd)
    + update-inetd call predicated upon it existance

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 28 Jul 2007 01:17:00 -0000

sendmail (8.14.1-7) unstable; urgency=low

  * buildd's do not honour Build-Depends-Indep:, so replicate that
    information on the Build-Depends line to solve FTBFS  Closes: #430405

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 29 May 2007 02:21:00 -0000

sendmail (8.14.1-6) unstable; urgency=low

  * The `ironclad or die` release, using newer gcc/binutils
    features to further reduce the exploit footprint of an
    application.   Thanks to Marc-Christian Petersen
    Read more about all that good stuff at:
    http://www.gentoo.org/proj/en/hardened/hardened-toolchain.xml#RELRO 

  * Create an ELF "PT_GNU_RELRO" segment header in the object.
    Or in other words: built with "-z relro"

  * When generating an executable or shared library, mark it to tell
    the dynamic linker to resolve all symbols when the program is
    started, or when the shared library is linked to using dlopen,
    instead of deferring function call resolution to the point when
    the function is first called.
    Or in other words: built with "-z now"

  * Emit extra code to check for buffer overflows, such as stack
    smashing attacks. This is done by adding a guard variable to
    functions with vulnerable objects. This includes functions
    that call alloca, and functions with buffers larger than 8
    bytes. The guards are initialized when a function is entered
    and then checked when the function exits.  If a guard check
    fails, an error message is printed and the program exits.
    Or in other words: built with "-fstack-protector-all"

  * Compiled as PIE (Position Independant Executable)
    This assists PAX enabled kernels, with ASLR, and is also needed
    for GRSecurity.  Even with stock kernels, this makes the memory
    mapping less static, hindering attacks.

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 29 May 2007 02:21:00 -0000

sendmail (8.14.1-5) private; urgency=low

  * DH_COMPAT = 5

  * Tweak LSB setup of /etc/init.d/sendmail such that stop/start
    when DAEMON_MODE=None is not an error

  * Clean up rules file abit, more to go (I love deleting suff)
    + drop sm_conf/sm_conf_opt from debian/rules
    + drop old private copy of dbs and use cdbs (not cleanly)
    + drop support of older sendmail versions (8.8.8+)
    + drop support for building on older debian versions (slink+)
    + drop split debian directory kluge
    + drop smX support - it requires a complete revamp

  * Things are still complicated by upstream not using autoconf/makefile
    builds, but I have used them in support - much of that work remains and
    will not be removed in the near term

  * Add alternative build-depend for linux-libc-dev (which will depcrecate
    linux-kernel-headers)

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 23 May 2007 05:00:00 -0000

sendmail (8.14.1-4) unstable; urgency=low

  * Fix occasional mailq failures caused by set -e and lsb scripts :(

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 22 May 2007 23:00:00 -0000

sendmail (8.14.1-3) unstable; urgency=low

  * Add missing build-depends for linux-kernel-headers
    Thanks Marc-Christian Petersen
  * LSB init scripts
    Thanks Marc-Christian Petersen
  * Finally, make rmail a suggestion, not a dependancy
    and remove conflicts with old versions        closes: #376113
  * Suffix _mta to start/stop/configure for ksh   closes: #424213

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 19 May 2007 20:14:00 -0000

sendmail (8.14.1-2) unstable; urgency=high

  * Rebuild against a fixed libd4.5        closes: #423153

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 10 May 2007 21:30:00 -0000

sendmail (8.14.1-1) unstable; urgency=low

  * *** *** libmilter gets a new version *** ***
    *** *** MimeDefang and other packages will need to be rebuilt *** ***

  * New upstream release
    - Fix 8.14.0 regressions & issues
  * Refit patches
  * Drop qtool patch, equivalent applied upstream
  * Force configure defaults (new machine, gotta get it right)
  * update configure.ac for newer db versions
  * refresh FAQ
  * build against db4.5                                      closes: #421945
  * build-indep-depends on groff, not groff-base             closes: #362872

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 05 May 2007 20:10:00 -0000

sendmail (8.14.1-0) private; urgency=low

  * New upstream release
    - Fix 8.14.0 regressions & issues
  * Refit patches
  * Drop qtool patch, equivalent applied upstream
  * Force configure defaults (new machine, gotta get it right)
  * update configure.ac for newer db versions
  * refresh FAQ

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 04 Apr 2007 04:00:00 -0000

sendmail (8.14.1.Gamma0-0) private; urgency=low

  * New upstream Gamma
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 30 Mar 2007 04:40:00 -0000

sendmail (8.14.1.Beta2-0) private; urgency=low

  * New upstream Beta
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 24 Mar 2007 04:30:00 -0000

sendmail (8.14.1.Beta1-0) private; urgency=low

  * New upstream Beta
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 09 Mar 2007 17:00:00 -0000

sendmail (8.14.1.Beta0-0) private; urgency=low

  * New upstream Beta
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Mon, 05 Mar 2007 05:40:00 -0000

sendmail (8.14.0-0) private; urgency=low

  * New upstream Release
    - Headers 8bit clean
    - Milter enhancements 
  * Refit patches
  * Some issues, so this will not be uploaded - errata of (2007/02/06) help

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 01 Feb 2007 16:20:00 -0000

sendmail (8.14.0.Gamma0-0) private; urgency=low

  * New upstream Release
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 31 Jan 2007 20:50:00 -0000

sendmail (8.14.0.Beta5-1) experimental; urgency=low

  * New upstream Beta
  * Refit patches

  * Major item
    + Welcome back space betwixt 'from:' and '<other stuff>'

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 09 Jan 2007 21:40:00 -0000

sendmail (8.14.0.Beta4-1) experimental; urgency=low

   * Sigh... built here, but not build machines      closes: #405917
   * change from ~ to . to appease build scripts and match upstream
   * drop my check_helo patch, needs rework
   * Upstream incorporated patch for greet_pause     closes: #312164

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 07 Jan 2007 22:50:00 -0000

sendmail (8.14.0~Beta4-1) experimental; urgency=low

   * Release to experimental
   * New upstream Beta
   * Refit patches

   * Major new feature:
     + headers are 8 bit "transparent".
     + the milter API has been extended.

   * New/improved anti-SPAM features:
     + no false-postives on greet_pause failures due to timeouts/rejections
     + new option MaxNOOPCommands
     + detection of open HTTP proxies (GET, POST, CONNECT, or USER)
     + FEATURE(`require_rdns')
     + FEATURE(`block_bad_helo')
     + FEATURE(`badmx')
     + option `relaytofulladdress' for FEATURE(`access_db')

   * Upstream incorporated patch for greet_pause     closes: #312164

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Fri, 05 Jan 2007 19:07:46 -0000

sendmail (8.14.0~Beta4-0) private; urgency=low

  * New upstream Beta
  * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 25 Dec 2006 04:30:00 -0000

sendmail (8.14.0~Beta3-0) private; urgency=low

   * New upstream Beta
   * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 19 Dec 2006 00:10:00 -0000

sendmail (8.14.0~Beta2-0) private; urgency=low

   * New upstream Beta
   * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sat, 09 Dec 2006 18:40:00 -0000

sendmail (8.14.0~Beta1-0) private; urgency=low

   * New upstream Beta
   * Refit patches

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Sun, 19 Nov 2006 17:50:00 -0000

sendmail (8.14.0~Beta0-0) private; urgency=low

   * New upstream Beta
   * Support 8.14 in build tools
   * Refit patches
   * Update FFRs

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 01 Nov 2006 02:30:00 -0000

/* vim:set ai et tw=80 */
